System Requirements and Compatibility

Return to the Course Menu

System Compatibility Checker
This tool checks your computer system and browser to see if it meets the minimum system configuration requirements to access the online training courses.

 

Minimum Technical System Requirements:

Platform Compatibility: 

The following operating systems are supported:
Windows Vista, Windows 7, Windows 8, Windows 10, OSX 10.8 (Mountain Lion), OSX 10.9 (Mavericks), OSX 10.10 (Yosemite), OSX 10.11 (El Capitan), Chromebooks.
Windows XP is not supported. 
We recommend that you access this website and view the courses on a PC (Windows, Mac or Chromebook).

Software: 

Most computers will already come with the software required to take this course. 

    • JavaScript must be enabled on your browser - this feature is enabled by default in most computer browsers.
    • Supported Browsers: Google Chrome, Apple Safari, Mozilla Firefox and Internet Explorer 11 (We recommend them in the order they are listed). Make sure you are running the latest version of your browser. Microsoft Edge is currently not supported.
    • Audio playback capability.
    • Adobe PDF Reader.

If you want to verify that your computer meets the technical requirements, review the results of the automated “System Compatibility Checker” below.

You will need to take care of any item marked in red*.
If the issue can be resolved by installing additional software, links are provided to download the software. After installing the software, visit this page again.


* Sometimes the system compatibility checker will report that the Adobe Acrobat Reader is not installed when in fact it is.
To test if you can open and read PDF files with your computer, t
ry opening a test PDF file by clicking on this link: Open Test PDF File

 

System Compatibility Checker
Test Results

Last modified: Wednesday, September 12, 2018, 3:20 PM